﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using Syncfusion.Pdf.Grid;
using Syncfusion.Pdf.Interactive;
using Syncfusion.Pdf.Parsing;

namespace PDFSample
{
    public partial class _Default : Page
    {
        //Create new PDF document 
        private static PdfDocument pdfDocument = new PdfDocument();

        //Create the page
        private static PdfPage pdfPage = pdfDocument.Pages.Add();

        protected void OnButtonClicked(object sender, EventArgs e)
        {

            //Create new PdfGrid
            PdfGrid pdfGrid = new PdfGrid();

            //Add row
            PdfGridRow row1 = pdfGrid.Rows.Add();

            //Add columns
            pdfGrid.Columns.Add(2);

            //Set the value to the specific cell
            row1.Cells[0].Value = "Hyperlink Website";
            row1.Cells[1].Value = "Hyperlink Text";

            //Add row
            PdfGridRow row2 = pdfGrid.Rows.Add();
            row2.Cells[0].Value = "http://www.google.com";
            row2.Height = 50;

            pdfGrid.BeginCellLayout += PdfGrid_BeginCellLayout;

            //Create and customize the string formats
            PdfStringFormat format = new PdfStringFormat();
            format.Alignment = PdfTextAlignment.Center;
            pdfGrid.Rows[0].Cells[0].StringFormat = format;
            pdfGrid.Rows[0].Cells[1].StringFormat = format;
            pdfGrid.Rows[1].Cells[0].StringFormat = format;

            //Draw the PdfGrid
            pdfGrid.Draw(pdfPage, PointF.Empty);

            // Open the document in browser after saving it
            pdfDocument.Save("Output.pdf", HttpContext.Current.Response, HttpReadType.Save);
        }

        private void PdfGrid_BeginCellLayout(object sender, PdfGridBeginCellLayoutEventArgs args)
        {
            //Draw images one after another in single PDF cell
            if (args.RowIndex == 1 && args.CellIndex == 1)
            {

                PdfFont font = new PdfStandardFont(PdfFontFamily.TimesRoman, 10);
                string text = "Syncfusion .NET components and controls";
                SizeF size = font.MeasureString(text);

                RectangleF rectangle = new RectangleF(args.Bounds.X + (args.Bounds.Width - size.Width), args.Bounds.Y, size.Width, size.Height);

                //Draw first image
                args.Graphics.DrawString(text, font, PdfBrushes.Blue, rectangle);

                //Creates a new Uri Annotation
                PdfUriAnnotation uriAnnotation = new PdfUriAnnotation(rectangle, "http://www.google.com");
                uriAnnotation.Text = "Uri Annotation";
                uriAnnotation.Color = Color.Black;

                pdfPage.Annotations.Add(uriAnnotation);
            }
        }
    }
}